/* -*- c++ -*-
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2004, 2005, 2006, 2007 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef __TK_DATA_SET_HOLDER_H__
#define __TK_DATA_SET_HOLDER_H__

#include <odbc++/resultset.h>

namespace Tk {
  namespace Db {
    
    class DataSet
      {
      private:
	odbc::ResultSet   *_result;
      public:
	DataSet(odbc::ResultSet *result);
	~DataSet();
	
	odbc::ResultSet & operator*();
	odbc::ResultSet * operator->();
      };
    
  }; /* namespace Db */
}; /* namespace Tk */

#endif /* __TK_DATA_SET_HOLDER_H__ */
